org.apache.felix.connect.launch

## Class BundleDescriptor

- java.lang.Object
- - org.apache.felix.connect.launch.BundleDescriptor

    public class BundleDescriptor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BundleDescriptor(ClassLoader loader, String url, Map<String,String> headers)`
`BundleDescriptor(ClassLoader loader, String url, Map<String,String> headers, Revision revision, Map<Class,Object> services)`

### Method Summary

Methods
`ClassLoader` `getClassLoader()`
`Map<String,String>` `getHeaders()`
`Revision` `getRevision()`
`Map<Class,Object>` `getServices()`
`String` `getUrl()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BundleDescriptor

    public BundleDescriptor(ClassLoader loader,
                    String url,
                    Map<String,String> headers)

#### BundleDescriptor

    public BundleDescriptor(ClassLoader loader,
                    String url,
                    Map<String,String> headers,
                    Revision revision,
                    Map<Class,Object> services)

### Method Detail

#### getClassLoader

    public ClassLoader getClassLoader()

#### getUrl

    public String getUrl()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getHeaders

    public Map<String,String> getHeaders()

#### getRevision

    public Revision getRevision()

#### getServices

    public Map<Class,Object> getServices()